#include <iostream>
using namespace std;
int main (void)
{
    unsigned long long int N,L;
    cin>>N>>L;
    unsigned long long int visinaStalaktita[N];
    for (unsigned long long int i = 0; i < N; ++i)
        cin>>visinaStalaktita[i];
    bool prosao=true;
    for (unsigned long long int i = 0; i < N; ++i)
    {
        if(visinaStalaktita[i]<=L)
        {
            cout<<i+1;
            prosao=false;
            break;
        }
    }
    if (prosao)
        cout<<-1;
    
}